Drawing rebar details
-
I'm seeking simple, efficient method of drawing rebar details for concrete projects, but come up empty-handed afte Googling a bit. It need not be photo-realistic, but geometry should be about right (basic diameters of bars & bend-radii). https://www.youtube.com/watch?v=viDbnN-ssHY shows a method that I'd use, but I think the plugins he relied on are now defunct ("fillet," anyway, seems not to exist).
The follow-me tool would seem an obvious choice, but will it result in a bulky file that's slow to manipulate, once I've got a few hundred rebar shapes placed in my drawing?
Also, how can rebar bend-radii be created easily from square joints, starting from straight line-segments in three planes? (Rebar isn't bent with a sharp 90-degree bend.)
Thanks for suggestions - Dave
-
You want the detail to be 3d (whether ortho projected or not). Or 2d where you can use edges as rebar (however you'll have to make all edges thick--there's no line weight control.
As for the radii the 2d radius tool is good. http://sketchucation.com/plugin/702-2dtoolsAnd you can always draw with arc tool if you know how.
As for for follow me, You can use 4-6 sided "circles" and use minimal segments in your bend radii to keep poly count down.@unknownuser said:
Also, how can rebar bend-radii be created easily from square joints, starting from straight line-segments in three planes? (Rebar isn't bent with a sharp 90-degree bend.)
I don't understand this question. What object are you starting with before creating the radii?
To change a square joint of edges to bend-radii you use the 2d fillet tool. To bend a tube or some other 3d object you could use Fredoscale radial bending, but you wouldn't first create a square joint.
I would probably approach this with a kit of parts. Make a component 90 deg bend of 3"radius to plug in where I needed it, make components of other bends, standard lengths etc. Then you aren't modeling over and over, you just assemble.
-
@pants said:
I'm seeking simple, efficient method of drawing rebar details for concrete projects, but come up empty-handed afte Googling a bit. It need not be photo-realistic, but geometry should be about right (basic diameters of bars & bend-radii).
The follow-me tool would seem an obvious choice, but will it result in a bulky file that's slow to manipulate, once I've got a few hundred rebar shapes placed in my drawing?
Thanks for suggestions - Dave
I'm afraid that there is little that can be done to reduce the "bulky" file but maybe this will help with the stirrup creation
#rebar stirrup mod = Sketchup.active_model ent = mod.active_entities sel = mod.selection prmpts=[' Width;',' Height;','Bend Radius;',' Rebar Size;',' Color;'] optns=[nil,nil,nil,nil,'red|green|blue|yellow|black'] inp=UI.inputbox(prmpts,[6.0,9.0,1.0,0.5,'red'],optns,'Rebar stirrup') if inp wid,hgt,rad,rbd,clr=inp;rbr=rbd/2;edgs=[] ang = Math.asin(rbr/wid) vec = Geom;;Vector3d.new(Math.cos(ang),Math.sin(ang),0) za = Geom;;Vector3d.new(0,0,1); org = Geom;;Point3d.new(0,-rbr,0); grp = ent.add_group; ent = grp.entities p0 = org.offset(za,hgt*0.5) p1 = p0.offset(za,hgt*0.5-rad) edgs<<ent.add_line(p0,p1) p2 = p1.offset(vec,rad) edgs<<ent.add_arc(p2,vec,vec*za,rad,180.degrees,90.degrees,6) p3 = p2.offset(za,rad); p4 = p3.offset(vec,wid-rad*2) edgs<<ent.add_line(p3,p4);p5 = p4.offset(za,-rad) edgs<<ent.add_arc(p5,vec,vec*za,rad,0,90.degrees,6) p6 = p5.offset(vec,rad);p7 = p6.offset(za,rad*2-hgt) edgs<<ent.add_line(p6,p7);vec.x = -vec.x p8 = p7.offset(vec,rad) edgs<<ent.add_arc(p8,vec,vec*za,rad,270.degrees,180.degrees,6) p9 = p8.offset(za,-rad);p10 = p9.offset(vec,wid-rad*2) edgs<<ent.add_line(p9,p10);p11 = p10.offset(za,rad) edgs<<ent.add_arc(p11,vec,vec*za,rad,0,-90.degrees,6) p12 = p11.offset(vec,rad);p13 = p12.offset(za,hgt-rad*2) edgs<<ent.add_line(p12,p13);vec.x = -vec.x p14 = p13.offset(vec,rad) edgs<<ent.add_arc(p14,vec,vec*za,rad,180.degrees,90.degrees,6) p15 = p14.offset(za,rad);p16 = p15.offset(vec,wid*0.5-rad) edgs<<ent.add_line(p15,p16) # c=ent.add_circle(p0,za,rbr,12) f=ent.add_face(c); f.reverse! f.material = clr; edgs.flatten!;f.followme edgs end
-
Remarkable you can whip that up sdmitch---and that such a short code makes a nice tool like that.
-
very cool indeed
a prompt for curve segments could help control file size, i.e 12 == 12 for circle but 3 for arc
to reflect model units [i.e. metric] change this line...
inp=UI.inputbox(prmpts,[6.0.to_l,9.0.to_l,1.0.to_l,0.5.to_l,'red'],optns,'Rebar stirrup')
john
-
Just got back here, having assumed that when I post on the forum, I'll receive reply notifications by default...(nope?) Thanks, guys.
Clearly I need to commission sdmitch to come up with a full-service version of that stirrup-bender...or I need to tell my boss that I'll be learning Ruby for a while, and not to bother me with any of his silly moneymaking schemes, while I become Ruby-proficient...
sdmitch, as you probably knew, rebar shapes can be almost anything, so it's probably not possible to standardize the bulk of bread-and-butter shapes that will be needed in any given project. I would indeed do as pbacot was describing, using a 'kit of parts' approach. That said, stirrups are a staple that lend themselves to a data-entry box like you created, as are spirals. Basic rebar mats (just big grids of rebar that typically have a max bar-spacing and a minimum concrete "cover" at edges of the grid) are another - and those would be great to have a script for, since it's tedious to calculate the required spacing to optimize the use of steel based on those two criteria. I don't do this all the time by a long shot, but that's about all the 'standard' items I can think of, that is, those that wouldn't require custom-for-each-design drawing.
pbacot - thanks for pointing out 2D tools (in particular the capability to fillet) - that's what I needed, though the filleting tool would be all I'd use from that plugin for rebar work, since it's almost always lines in 3-space that need to be filleted. Seems an 8-sided circle is plenty fine; I might go with less.
Seems quite surprising to me that there's not a 'stock' filleting tool included with SU - hasn't all other CAD software included this as a standard-issue item for many years?
-
@pants said:
Clearly I need to commission sdmitch to come up with a full-service version of that stirrup-bender...or I need to tell my boss that I'll be learning Ruby for a while, and not to bother me with any of his silly moneymaking schemes, while I become Ruby-proficient...
Just let me know what you would like to add and/or change regarding input parameters for the stirrup plugin.@unknownuser said:
sdmitch, as you probably knew, rebar shapes can be almost anything, so it's probably not possible to standardize the bulk of bread-and-butter shapes that will be needed in any given project. I would indeed do as pbacot was describing, using a 'kit of parts' approach. That said, stirrups are a staple that lend themselves to a data-entry box like you created, as are spirals. Basic rebar mats (just big grids of rebar that typically have a max bar-spacing and a minimum concrete "cover" at edges of the grid) are another - and those would be great to have a script for, since it's tedious to calculate the required spacing to optimize the use of steel based on those two criteria. I don't do this all the time by a long shot, but that's about all the 'standard' items I can think of, that is, those that wouldn't require custom-for-each-design drawing.
Of course unique items are best done as needed but anything that is "standard" lends itself to a plugin. So if you can "draw" me a picture of what is to be created, I'm sure we can come up with something.@unknownuser said:
Seems quite surprising to me that there's not a 'stock' filleting tool included with SU - hasn't all other CAD software included this as a standard-issue item for many years?
I can't seem to find it but I'm sure that I saw someone demonstrating creating fillets using the Arc Tool. Perhaps it was in the Pro version. Anyway you can try my Fillet3d plugin. -
-
Yes, exactly like that.
Advertisement